import FTLNomadItemSheet from "./base-item-sheet.mjs"

export default class FTLNomadImplantSheet extends FTLNomadItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["implant"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["implant-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-ftl-nomad/templates/implant.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
